@import url("https://fonts.googleapis.com/css2?family=ABeeZee:ital@0;1&family=Cinzel+Decorative:wght@400;700;900&family=Cinzel:wght@400;500;600;700;800;900&family=Karla:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;1,200;1,300;1,400;1,500;1,600;1,700;1,800&family=Playfair+Display:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Quicksand:wght@300;400;500;600;700&display=swap");

html {
  scroll-behavior: smooth;
}

body {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
section {
  overflow-x: hidden;
}
/*========= Header styling  =========*/
.header {
  width: 100%;
  height: 100%;
  background-image: url("./Images/1.JPG");
  background-size: cover;
  background-position: center;
  color: white;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 9999;
  transition: transform 0.3s ease-in-out;
  transform: translateY(0);
}
.header.hide-header {
  transform: translateY(-100%);
}
.play-pause-btn {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  outline: none;
  border: none;
  background-color: #f69f87;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}
.music-wrapper {
  position: fixed;
  bottom: 20px;
  left: 20px;
}
.header .container {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 12em;
}
p {
  margin: 0;
}
.topContent {
  height: 100%;
  width: 100%;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 0.5em;
  margin-top: 0em;
}
.topContent p:first-child {
  font-family: "Cinzel";
  font-weight: 500;
}
.topContent p:last-child {
  font-size: 41px;
  margin: 0;
  font-family: "Playfair Display";
  font-weight: 500;
}
.bottomContent {
  margin-bottom: 13em;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 1em;
}
.bottomContent-title {
  font-family: "ABeeZee";
  font-size: 20px;
  font-weight: 500;
  color: #e0c99d;
}
.bottom-content-desc {
  font-family: "Karla";
  font-weight: 700;
  font-size: 26px;
}
.bottomContent button p {
  font-family: "Cinzel";
  font-weight: 700;
  font-size: 14px;
}
.header button {
  background-color: #647c8d;
  border-radius: 40px;
  padding: 0.4em 0.8em;
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
  font-size: 14px;
  border: none;
  cursor: pointer;
  z-index: 10000;
}
.header button img {
  padding-right: 5px;
}

@media (max-width: 320px) {
  .header .container {
    padding-top: 4em;
  }
  .topContent p:last-child {
    font-size: 20px;
  }
  .bottomContent-title {
    font-size: 16px;
  }
  .bottom-content-desc {
    font-size: 18px;
  }
}
/*========= Home Section styling  =========*/
.homeSection {
  width: 100%;
  height: 120vh;
  background-image: url("./Images/banner home SMK TI Bali Global Badung 2.jpg");
  background-size: cover;
  background-position: center;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: center;
  padding-bottom: 10em;
  gap: 0.5em;
  color: white;
  box-shadow: 0px -200px 164px -21px rgba(0, 0, 0, 0.75) inset;
  -webkit-box-shadow: 0px -200px 164px -21px rgba(0, 0, 0, 0.75) inset;
  -moz-box-shadow: 0px -200px 164px -21px rgba(0, 0, 0, 0.75) inset;
}
.homeSection p:first-child {
  font-size: 65px;
  font-family: "Playfair display";
  font-weight: 500;
}
.homeSection p:last-child {
  font-size: 12px;
  font-weight: 500;
  font-family: "cinzel";
}

@media (max-width: 760px) {
  .homeSection p:first-child {
    font-size: 28px;
  }
  .homeSection p:last-child {
    padding-top: 1em;
  }
  .homeSection {
    justify-content: flex-start;
    padding-top: 2em;
    height: 80vh;
  }
}
@media (max-width: 500px) {
  .homeSection p:first-child {
    font-size: 30;
  }
}
@media (max-width: 320px) {
  .homeSection p:first-child {
    font-size: 18 px;
  }
}
/*========= About Section styling =========*/
.aboutSection {
  width: 100%;
  height: 100%;
  background-color: #c4b39f;
  display: flex;
  justify-content: center;
  align-items: center;
  padding-bottom: 4em;
}
.aboutSection .container {
  width: 80%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.aboutSection .title {
  font-size: 78px;
  padding-top: 1em;
  text-align: center;
  font-family: "cinzel";
  font-weight: 500;
  color: #6d4739;
}
.about-content-wrapper {
  width: 100%;
  display: flex;
  justify-content: center;
  gap: 8em;
  padding-top: 7em;
}
.about-left-content,
.about-center-content,
.about-right-content {
  width: 33%;
  height: fit-content;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.about-image-content {
  width: 350px;
  height: 350px;
  background-color: gray;
  border-radius: 50%;
  padding: 0;
  margin: 0;
  /* border: 1px solid; */
}
.about-text-content {
  padding-top: 2em;
  text-align: center;
}
.about-text-content p:first-child {
  font-size: 27px;
  font-family: "Playfair display";
  font-weight: 300;
  color: #6d4739;
}
.about-text-content .name {
  margin-top: 2em;
  font-size: 17px;
  font-weight: 500;
  font-family: "quicksand";
  color: #6d4739;
}
.about-text-content .ortu-name {
  font-size: 17px;
  font-weight: 700;
  padding-top: 0.5em;
  line-height: 34px;
  font-family: "quicksand";
  font-weight: 700;
  color: #6d4739;
}
.about-bottom-content {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding-top: 5em;
}
.about-bottom-title {
  font-size: 78px;
  font-family: "cinzel";
  color: #6d4739;
  font-weight: 500;
}
.about-bottom-content-text {
  padding-top: 4em;
  font-size: 16px;
  line-height: 26px;
  text-align: center;
  font-weight: 500;
  font-family: "Playfair Display";
  color: #6d4739;
}

@media (max-width: 1340px) {
  .about-content-wrapper {
    flex-wrap: wrap;
    align-items: center;
  }
}
@media (max-width: 980px) {
  .about-image-content {
    width: 600px;
    height: 600px;
  }
  .about-content-wrapper {
    flex-wrap: nowrap;
    flex-direction: column;
    align-items: center;
  }
  .about-left-content,
  .about-center-content,
  .about-right-content {
    width: 100%;
  }
}
@media (max-width: 710px) {
  .about-image-content {
    width: 450px;
    height: 450px;
  }
  .aboutSection .title {
    font-size: 58px;
  }
  .about-content-wrapper {
    padding-top: 2em;
  }
}
@media (max-width: 520px) {
  .about-image-content {
    width: 350px;
    height: 350px;
  }
  .aboutSection .title {
    font-size: 38px;
  }
}
@media (max-width: 510px) {
  .aboutSection .title,
  .about-bottom-title {
    font-size: 40px;
  }
}
@media (max-width: 410px) {
  .about-image-content {
    width: 250px;
    height: 250px;
  }
  .about-text-content p:first-child {
    font-size: 18px;
  }
  .about-text-content .name {
    font-size: 13px;
  }
  .about .ortu-name {
    font-size: 14px;
  }
}
/*========= Planning Section styling  =========*/
.planning-section {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #484947;
  padding-bottom: 5em;
}
.planning-section .container {
  width: 80%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.planning-title {
  font-size: 24px;
  line-height: 24px;
  font-weight: 500;
  padding-top: 2em;
  color: white;
  font-family: "Playfair Display";
}
.planning-desc {
  width: 80%;
  font-size: 17px;
  font-weight: 500;
  line-height: 34px;
  padding-top: 2em;
  color: white;
  font-family: "Quicksand";
  text-align: center;
}
.planning-box-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.box {
  width: 1075px;
  height: 380px;
  border-radius: 40px;
  background-color: #cfc1b0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-top: 2em;
}
.box .icon {
  width: 150px;
  height: 150px;
}
.planning-box-title {
  font-size: 19px;
  font-weight: 45px;
  font-weight: 500;
  text-align: center;
  padding-top: 1em;
  font-family: "Cinzel ";
  color: #6d4739;
}
.planning-box-details {
  font-size: 14px;
  line-height: 22px;
  font-weight: 500;
  text-align: center;
  padding-top: 2em;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  font-family: "Quicksand";
  color: #6d4739;
}
.planning-box-btn {
  padding: 0.3em 2.5em;
  background-color: #647c8d;
  font-size: 16px;
  font-weight: 600;
  line-height: 27px;
  margin-top: 2em;
  border-radius: 2px;
  border: none;
  color: white;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  font-family: "cinzel decorative";
}
.planning-box-btn .arrow-icon {
  width: 15px;
  height: 15px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(2em, -50%);
  opacity: 0;
  transition: 0.25s ease;
}
.planning-box-btn:hover {
  cursor: pointer;
}
.planning-box-btn:hover .arrow-icon {
  opacity: 1;
  transform: translate(3.2em, -50%);
}

@media (max-width: 1120px) {
  .box {
    width: 100%;
  }
  .planning-box-container {
    margin: 1em 1em;
  }
  .planning-box-container {
    width: 100%;
  }
}
@media (max-width: 820px) {
  .planning-desc {
    width: 80%;
    text-align: center;
  }
}

/*========= countdown Section styling =========*/
.countdown-section {
  width: 100%;
  height: 160vh;
  background-color: #cfc1b0;
  display: flex;
  justify-content: center;
  align-items: center;
}
.countdown-container {
  width: 70%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.countdown-box {
  width: 100%;
  height: 90%;
  background-color: #c4b39f;
  border-radius: 20px;
  display: flex;
  flex-direction: column;
}
.countdown-image-content {
  width: 100%;
  height: 700px;
  /* background-color: black; */
  background-image: url("./Images/wahyu4.png");
  background-position: top;
  background-size: cover;
  border-top-right-radius: 20px;
  border-top-left-radius: 20px;
}
.countdown-text-content {
  width: 100%;
  height: 35%;
  border-bottom-left-radius: 20px;
  border-bottom-right-radius: 20px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.countdown-title-text {
  font-size: 26px;
  font-weight: 500;
  line-height: 42px;
  font-family: "Playfair Display";
  color: #6d4739;
}
.countdown-desc-text {
  padding-top: 1.5em;
  font-size: 14px;
  letter-spacing: 1px;
  font-weight: 500;
  line-height: 22px;
  text-align: center;
  width: 90%;
  color: #6d4739;
  font-family: "Quicksand";
}
.countdown {
  width: 80%;
  height: 40%;
  border-radius: 8px;
  display: flex;
  justify-content: center;
  align-items: center;
}
.day,
.hours,
.minutes,
.seconds {
  width: 25%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.time {
  font-size: 60px;
  opacity: 0.2;
}
.countdown-details {
  font-size: 12px;
  opacity: 0.3;
}
@media (max-width: 770px) {
  .countdown-section {
    height: 180vh;
  }
}
@media (max-width: 720px) {
  .time {
    font-size: 40px;
    opacity: 0.2;
  }
}
@media (max-width: 600px) {
  .countdown-title-text {
    padding-top: 1em;
  }
}
@media (max-width: 430px) {
  .time {
    font-size: 30px;
  }
}
@media (max-width: 410px) {
  .countdown-section {
    height: 190vh;
  }
  .countdown-title-text {
    font-size: 18px;
  }
  .countdown-desc-content {
    font-size: 14px;
  }
}
@media (max-width: 320px) {
  .countdown-section {
    height: 200vh;
  }
}
/*========= Youtube Section styling =========*/
.youtube-embed-section {
  width: 100%;
  height: 55vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background: gray;
  font-size: 24px;
}
.youtube-embed-section iframe {
  width: 100%;
  height: 55vh;
}
.youtube-embed-section p {
  opacity: 0.3;
}

/*========= Gallery Section styling  =========*/
.gallery-section {
  width: 100%;
  height: 100%;
  display: flex;
  padding-bottom: 3em;
  justify-content: center;
  align-items: center;
  background-color: #cfc1b0;
}
.gallery-container {
  width: 80%;
  height: 120vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-top: 2em;
}
.gallery-slider-wrapper {
  width: 800px;
  height: 400px;
  background-color: gray;
}
.slider-container {
  width: 90%;
  height: 80%;
  position: relative;
  overflow: hidden;
}
.slider {
  display: flex;
  width: 1000%;
  height: 100%;
  transition: transform 0.5s ease-in-out;
}
.slide {
  flex-basis: 33.33%;
  height: 100%;
}
.slide img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.slider-buttons {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 100%;
  display: flex;
  justify-content: space-between;
  z-index: 1;
}
.prev-button,
.next-button {
  width: 50px;
  height: 50px;
  background-color: black;
  border: none;
  font-size: 2em;
  color: white;
  cursor: pointer;
  opacity: 0.7;
  transition: 0.25s ease;
}
.prev-button:hover,
.next-button:hover {
  opacity: 1;
}

.gallery-text-content {
  width: 80%;
  height: fit-content;
  padding-top: 4em;
  font-family: "Quicksand";
  letter-spacing: 1px;
  font-size: 14px;
  font-weight: 500;
  text-align: justify;
}

/*========= Form Section styling  =========*/
.form-section {
  width: 100%;
  height: fit-content;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background: #fff;
  padding: 5em 0;
}
.form-section-container {
  width: 80%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.form-input-wrapper {
  width: 95%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  padding-bottom: 7em;
}
.form-container {
  width: 90%;
  height: 80%;
  background-color: #c4b39f;
  border-radius: 20px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.form-title-text {
  font-size: 30px;
  line-height: 30px;
  font-weight: 500;
  width: 100%;
  text-align: center;
  padding: 2em 0;
  font-family: "Playfair Display";
  color: #6d4739;
}
.form-desc-text {
  font-family: "Quicksand";
  font-weight: 500;
  font-size: 13px;
  letter-spacing: 1px;
  color: #6d4739;
}
.form-input-text {
  width: 100%;
  height: 30px;
  background-color: white;
  border-radius: 8px;
  border: none;
  margin-top: 1em;
}
.radio-input-form {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding-top: 2em;
}
.radio-input {
  width: 100%;
  height: auto;
  padding-top: 0.5em;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
}
.radio-input label:last-child input,
.radio-input label:last-child p {
  margin-top: 0.5em;
}
.radio-input-label {
  text-align: left;
  width: 100%;
}
.radio-input-form label {
  display: flex;
  width: 50%;
}
.radio-input-form p {
  width: 200px;
  padding-left: 0.5em;
}
.bottom-text-input {
  width: 100%;
  height: auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: left;
  margin-top: 5em;
}
.bottom-option-input {
  width: 100%;
  height: 35px;
  border-radius: 8px;
  border: none;
  margin-top: 1em;
  padding-left: 1em;
}
.bottom-text-input p {
  width: 100%;
  text-align: left;
}
.bottom-submit-btn {
  width: 100%;
  height: 40px;
  margin-top: 1em;
  background-color: #647c8d;
  border-radius: 20px;
  border: none;
  font-size: 20px;
  font-weight: 700;
  letter-spacing: 2px;
  color: white;
  font-family: "quicksand";
}
.second-box-content {
  width: 90%;
  height: 300px;
  border-radius: 20px;
  background-color: #c4b39f;
  margin-top: 6em;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 2em;
  padding: 1em 1em;
}
.box-title-text {
  font-size: 24px;
  font-weight: 500;
  line-height: 24px;
  font-family: "Playfair Display";
  color: #6d4739;
}
.box-content-text {
  font-size: 15px;
  font-weight: 500;
  line-height: 32px;
  text-align: center;
  letter-spacing: 1px;
  font-family: "quicksand";
  color: #6d4739;
}
.box-button {
  width: 320px;
  height: 35px;
  /* padding: 0.4em 0.55em; */
  border-radius: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
  background: #647c8d;
  font-size: 18px;
  font-weight: 600;
  color: white;
  border: none;
  outline: none;
  cursor: pointer;
  font-family: "cinzel";
}
.box-button p {
  width: 100%;
  text-align: center;
}
.modal {
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.5);
}
.modal-content {
  background-color: #fff;
  margin: 8% auto;
  padding: 4em 2em;
  border: 1px solid #888;
  width: 80%;
  max-width: 1300px;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.close {
  color: #aaa;
  position: absolute;
  top: 10px;
  right: 25px;
  font-size: 28px;
  font-weight: bold;
  cursor: pointer;
}
.modal-title-text {
  font-size: 23px;
  font-family: "quicksand";
  font-weight: 500;
  text-align: center;
}
.modal-desc-text {
  font-size: 16px;
  font-weight: 500;
  font-family: "quicksand";
  text-align: center;
  padding-top: 2em;
}
.modal-text-box {
  width: 80%;
  height: 100%;
  background: #6d4739;
  margin-top: 4em;
  padding: 2em 1em;
}
.modal-text-box:last-child {
  margin-top: 2em;
}
.modal-content-title {
  font-size: 18px;
  font-weight: 500;
  font-family: "quicksand";
  color: white;
}
.modal-content-desc {
  font-size: 14px;
  font-family: "quicksand";
  color: white;
  letter-spacing: 1px;
  padding-top: 1em;
}
.close:hover,
.close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}
.second-box-content:last-child {
  margin-top: 3em;
}

@media (max-width: 920px) {
  .form-container {
    padding: 1em 1em;
  }
}
@media (max-width: 440px) {
  .box-button {
    width: 230px;
    height: 28px;
    font-size: 12px;
  }
}
@media (max-width: 400px) {
  .box-content-text {
    line-height: 18px;
  }
}
@media (max-width: 300px) {
  .box-button {
    width: 160px;
    height: 40px;
  }
}
/*========= Footer Section styling =========*/
.footer-section {
  width: 100%;
  height: 200vh;
  display: flex;
  flex-direction: column;
  background: #c4b39f !important;
}
.footer-top-section {
  width: 100%;
  height: 100vh;
  background-image: url("./Images/Foto Sekolah.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center top;
  font-size: 28px;
  font-weight: 500;
  line-height: 24px;
  text-align: center;
  padding-top: 2em;
  color: white;
  font-family: "cinzel";
}
.footer-top-section img {
  width: 1000px;
  height: 1000px;
}
.footer-top-section::after {
  display: block;
  content: "";
  width: 100%;
  height: 100vh;
  box-shadow: -4px -162px 75px -66px rgba(196, 179, 159, 1) inset;
  -webkit-box-shadow: -4px -162px 75px -66px rgba(196, 179, 159, 1) inset;
  -moz-box-shadow: -4px -162px 75px -66px rgba(196, 179, 159, 1) inset;
}
.footer-bottom-section {
  width: 100%;
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  font-size: 24px;
  font-weight: 600;
  color: #666666;
  font-family: "playfair display";
}

@media (max-width: 515px) {
  .footer-bottom-section img {
    width: 200px;
    height: 200px;
  }
}
